### Function

# Gimp dodgeburn

#### Declaration [src]

    gboolean
    gimp_dodgeburn (
      GimpDrawable* drawable,
      gdouble exposure,
      GimpDodgeBurnType dodgeburn_type,
      GimpTransferMode dodgeburn_mode,
      gint num_strokes,
      const gdouble* strokes
    )

#### Description [src]

Dodgeburn image with varying exposure.

Dodgeburn. More details here later.

#### Parameters

`drawable` | `GimpDrawable`
| The affected drawable.
| The data is owned by the caller of the function.
`exposure` | `gdouble`
| The exposure of the strokes.
`dodgeburn_type` | `GimpDodgeBurnType`
| The type either dodge or burn.
`dodgeburn_mode` | `GimpTransferMode`
| The mode.
`num_strokes` | `gint`
| Number of stroke control points (count each coordinate as 2 points).
`strokes` | An array of `double`
| Array of stroke coordinates: { s1.x, s1.y, s2.x, s2.y, …, sn.x, sn.y }.
| The length of the array is specified in the `num_strokes` argument.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| TRUE on success.